# -*- coding: utf-8 -*-

from __future__ import (unicode_literals, division, absolute_import, print_function)

__license__ = 'GPL 3'
__copyright__ = '2012, Matthew Wilson <matthew@mjwilson.demon.co.uk>'
__docformat__ = 'restructuredtext en'

from calibre.customize import InterfaceActionBase

class ActionXRay(InterfaceActionBase):

    name = 'XRay Generator'
    description = 'Generate XRay info file'
    supported_platforms = ['windows', 'osx', 'linux']
    author = 'Matthew Wilson'
    version = (0, 0, 101)
    minimum_calibre_version = (0, 7, 53)
    
    actual_plugin = 'calibre_plugins.xray_generator.xrayaction:XRayAction'
